export class StringUtil {
  /**
   * prefix zero fill
   * @param str target string
   * @param len fill in length
   */
  public static zeroFill(str: any, len: number): string {
    if (typeof str === 'string') {
      let fillin = '';
      for (let i = 0; i < len - str.length; i++) {
        fillin += '0';
      }
      return fillin + str;
    } else if (typeof str === 'number') {
      return StringUtil.zeroFill(str.toString(), len);
    }
  }
}
